Running A pre-deploy check for the staged BOSH Director

Running A pre-deploy check for the staged BOSH Director
Running a pre-deploy check for the staged BOSH Director

Returns granular information about whether the staged BOSH Director is ready to be deployed. It lists the following:

  • network assignment
  • availability zone assignment
  • stemcell assignment
  • properties that have errors
  • invalid resource configuration for jobs (Note: this can only occur on non-BOSH products but is documented here for consistency)
  • verifiers that failed
Request
URI
GET
https://{opsmanager-installation}/api/v0/staged/director/pre_deploy_check
COPY
Responses
200

OK

{
    "pre_deploy_check": {
        "identifier": "string",
        "complete": false,
        "network": {
            "assigned": false
        },
        "availability_zone": {
            "assigned": false
        },
        "stemcells": [
            {
                "assigned": false,
                "required_stemcell_version": "string",
                "required_stemcell_os": "string"
            }
        ],
        "properties": [
            {
                "name": "string",
                "type": "string",
                "errors": [
                    "string"
                ],
                "records": [
                    {
                        "index": 0,
                        "errors": [
                            {
                                "name": "string",
                                "type": "string",
                                "errors": [
                                    "string"
                                ]
                            }
                        ]
                    }
                ]
            }
        ],
        "resources": {
            "jobs": [
                {
                    "identifier": "string",
                    "guid": "string",
                    "error": [
                        "string"
                    ]
                }
            ]
        },
        "verifiers": [
            {
                "type": "string",
                "ignorable": false,
                "errors": [
                    "string"
                ]
            }
        ]
    }
}
pre_deploy_check
Optional

pre_deploy_check


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/staged/director/pre_deploy_check